Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_SKIPJACK_PRIVATE_WRAP_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_BYTE_PTR | pBaseG
CK_BYTE_PTR | pPassword
CK_BYTE_PTR | pPrimeP
CK_BYTE_PTR | pPublicData
CK_BYTE_PTR | pRandomA
CK_BYTE_PTR | pSubprimeQ
CK_ULONG | ulPAndGLen
CK_ULONG | ulPasswordLen
CK_ULONG | ulPublicDataLen
CK_ULONG | ulQLen
CK_ULONG | ulRandomLen

## Detailed Description

Definition at line 1513 of file pkcs11t.h.

## Member Data Documentation

CK_BYTE_PTR CK_SKIPJACK_PRIVATE_WRAP_PARAMS::pBaseG

Definition at line 1523 of file pkcs11t.h.

CK_BYTE_PTR CK_SKIPJACK_PRIVATE_WRAP_PARAMS::pPassword

Definition at line 1515 of file pkcs11t.h.

CK_BYTE_PTR CK_SKIPJACK_PRIVATE_WRAP_PARAMS::pPrimeP

Definition at line 1522 of file pkcs11t.h.

CK_BYTE_PTR CK_SKIPJACK_PRIVATE_WRAP_PARAMS::pPublicData

Definition at line 1517 of file pkcs11t.h.

CK_BYTE_PTR CK_SKIPJACK_PRIVATE_WRAP_PARAMS::pRandomA

Definition at line 1521 of file pkcs11t.h.

CK_BYTE_PTR CK_SKIPJACK_PRIVATE_WRAP_PARAMS::pSubprimeQ

Definition at line 1524 of file pkcs11t.h.

CK_ULONG CK_SKIPJACK_PRIVATE_WRAP_PARAMS::ulPAndGLen

Definition at line 1518 of file pkcs11t.h.

CK_ULONG CK_SKIPJACK_PRIVATE_WRAP_PARAMS::ulPasswordLen

Definition at line 1514 of file pkcs11t.h.

CK_ULONG CK_SKIPJACK_PRIVATE_WRAP_PARAMS::ulPublicDataLen

Definition at line 1516 of file pkcs11t.h.

CK_ULONG CK_SKIPJACK_PRIVATE_WRAP_PARAMS::ulQLen

Definition at line 1519 of file pkcs11t.h.

CK_ULONG CK_SKIPJACK_PRIVATE_WRAP_PARAMS::ulRandomLen

Definition at line 1520 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h